# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name show

%global common_summary Show library that provides ShowQ, ShowFun, and SimpleReflect

%global common_description This library provides ShowQ, ShowFun, and SimpleReflect.\
ShowFun gives us Typeable instances for neutering IO expressions.\
ShowQ adds SmallCheck & QuickCheck support.\
SimpleReflect allows us to literally see how functions 'expand'.

Name:           ghc-%{pkg_name}
Version:        0.4.1.2
Release:        5%{?dist}
Summary:        %{common_summary}

# SimpleReflect is BSD and show.cabal says GPL
License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch0:         show-0.4.1.2-fix-fsf-address.patch
Patch1:		show-0.4.1.2-disable-mysmallcheck.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-smallcheck-devel
BuildRequires:  ghc-syb-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .fix

%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri May  3 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.4.1.2-5
- Disable mysmallcheck

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 0.4.1.2-3
- update with cabal-rpm
- change license tag to GPL+ since no version specified

* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.4.1.2-2
- Updated summary

* Wed Jun 13 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.4.1.2-1
- spec file template generated by cabal2spec-0.25.5
